<h1> Bienvenu.e</h1>

<h1>AU DESSUS</h1>


<mat-form-field>
  <mat-label>Recherche un collaborateur</mat-label>
  <input matInput type="text" [(ngModel)]="search" (keyup)="applyFilter($event.target.value)">
  <mat-button *ngIf="search" matSuffix mat-icon-button aria-label="Clear" (click)="search=''">
    <mat-icon>close</mat-icon>
  </mat-button>
</mat-form-field>


<mat-table [dataSource]="this.dataSource" matSort>

  <ng-container matColumnDef="agence">
    <mat-header-cell *matHeaderCellDef mat-sort-header> Agence </mat-header-cell>
    <mat-cell  *matCellDef="let row"> {{row.agence}} </mat-cell>
  </ng-container>

  <ng-container  matColumnDef="collaborateur">
    <mat-header-cell *matHeaderCellDef mat-sort-header> Collaborateur </mat-header-cell>
    <mat-cell  *matCellDef="let row" [routerLink]="['/collaborateurs', row.collaborateur.idCollaborateur]"> {{row.collaborateur.nom}} {{row.collaborateur.prenom}} </mat-cell>
  </ng-container>

  <ng-container matColumnDef="anciennete">
    <mat-header-cell *matHeaderCellDef mat-sort-header> Ancienneté </mat-header-cell>
    <mat-cell  *matCellDef="let row"> {{row.collaborateur.dateArrivee | date: 'yyyy/MM/dd'}} ({{row.annee}}an(s) {{row.mois | number: '2.0-0'}}mois) </mat-cell>
  </ng-container>

  <ng-container  matColumnDef="referent">
    <mat-header-cell *matHeaderCellDef mat-sort-header> Referent </mat-header-cell>
    <mat-cell  *matCellDef="let row" [routerLink]="['/referents', row.referent.idCollaborateur]"> {{row.referent.nom}} {{row.referent.prenom}} </mat-cell>
  </ng-container>

  <ng-container matColumnDef="type">
    <mat-header-cell *matHeaderCellDef mat-sort-header> Type </mat-header-cell>
    <mat-cell  *matCellDef="let row"> {{row.type}} </mat-cell>
  </ng-container>

  <ng-container matColumnDef="etat">
    <mat-header-cell *matHeaderCellDef mat-sort-header> Etat </mat-header-cell>
    <mat-cell *matCellDef="let row"> {{getEtat(row.etat)}} </mat-cell>
  </ng-container>

  <ng-container matColumnDef="datemail">
    <mat-header-cell *matHeaderCellDef mat-sort-header> Date envoie mail </mat-header-cell>
    <mat-cell  *matCellDef="let row"> {{row.datemail}} </mat-cell>
  </ng-container>

  <ng-container matColumnDef="dateentretien">
    <mat-header-cell *matHeaderCellDef mat-sort-header> Date entretient </mat-header-cell>
    <mat-cell  *matCellDef="let row"> {{row.dateentretien}} </mat-cell>
  </ng-container>


  <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
  <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
</mat-table>
<mat-paginator #paginatorEP [pageSize]="25" [pageSizeOptions]="[10, 25, 50, 100]"> </mat-paginator>

<h1>EN DESSOUS</h1>
